<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <title>Bootstrap</title>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>

  <script>
    $(function () {
        $.get('https://swapi.co/api/people/').then(function (res) {
            console.log(res.results);
            
            let html_data="<tr>";
            for (let k in res.results[0]) {
                console.log(k);
                html_data+="<th>" + k + "</th>";
            }
            html_data+="</tr>";

            for(let i in res.results){
                console.log(res.results[i]);
                html_data+="<tr>";
                for(let j in res.results[i]){
                    console.log(res.results[i][j]);
                    console.log("Key : " , j);
                    html_data+="<td>" + res.results[i][j] + "</td>";
                }
                html_data+="</tr>";
            }
            $(".table").append(html_data);
        });
    });
  </script>

  <body>   
      <div class="container">
            <table class="table table-bordered"></table>
      </div> 
  </body>
</html>